%define pkg_name        Parse-CPAN-Packages
%define pkg_version     2.26
%define rpm_pkg_version 2.26
%define rpm_pkg_release 2.n0i.4

Summary:       CPAN packages details parser
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/L/LB/LBROCARD/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)

%if %{!?_without_test:1}0
BuildRequires: perl(CPAN::DistnameInfo)
BuildRequires: perl(Class::Accessor::Fast)
BuildRequires: perl(Cwd)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Zlib)
BuildRequires: perl(Test::More)
BuildRequires: perl(version)
%endif


%description
The Comprehensive Perl Archive Network (CPAN) is a very useful collection
of Perl code. It has several indices of the files that it hosts, including
a file named "02packages.details.txt.gz" in the "modules" directory. This
file contains lots of useful information and this module provides a simple
interface to the data contained within.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc CHANGES README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 2.26-2.n0i.4
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7

* Thu Jun 15 2006 Marius Feraru <altblue@n0i.net> - 2.26-1.n0i.3
- version 2.26

* Mon Aug 01 2005 Marius Feraru <altblue@n0i.net> 2.25-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sat Mar 20 2004 Marius Feraru <altblue@n0i.net> 2.25-1.n0i.1
- version 2.20
- spec file (re?)created using N0i::CPAN::RPMizer/2004022501
